Bug 98865 - ImageMagic spec tweek
Summary: ImageMagic spec tweek
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: ImageMagick   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-09 17:23 UTC by Christopher McCrory
Modified: 2013-04-02 04:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-11 21:24:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher McCrory 2003-07-09 17:23:21 UTC
Description of problem:

Weird ImageMagic build problem

Version-Release number of selected component (if applicable):

ImageMagick-5.5.6

How reproducible:

happens on RH7.3 , might on newer versions

Steps to Reproduce:
1.  rpmbuild --rebuild ImageMagick-5.5.6-5.src.rpm
2.
3.
    
Actual results:
[chrismcc@valhalla bin]$ ls
i386-redhat-linux-animate    i386-redhat-linux-import
i386-redhat-linux-composite  i386-redhat-linux-Magick-config
i386-redhat-linux-conjure    i386-redhat-linux-Magick++-config
i386-redhat-linux-convert    i386-redhat-linux-mogrify
i386-redhat-linux-display    i386-redhat-linux-montage
i386-redhat-linux-identify


Expected results:
[chrismcc@valhalla bin]$ ls
animate    conjure  display   import         Magick++-config  montage
composite  convert  identify  Magick-config  mogrify


Additional info:

I was back porting ImageMagic to RH7.3 for a project we are doing.  ImageMagic
kept creating the binaries with transform i386-redhat-linux.  After some head
scratching I added the following to the start of the spec file:

%define _target_platform %{nil}

I also had to comment out the following where a fix probably was:
#libtoolize --force
#aclocal
#automake || :
#autoconf || :



this results in
+ ./configure --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin .....

instead of
+ ./configure i386-redhat-linux --prefix=/usr --exec-prefix=/usr
--bindir=/usr/bin ...

and this wasn't necessary any more

pushd $RPM_BUILD_ROOT/%{_bindir}
for i in %{_target}-redhat-linux-*; do
        [ -f $i ] && mv $i `echo $i |sed -e "s/^%{_target}-redhat-linux-//"`
done
popd
 
pushd $RPM_BUILD_ROOT/%{_mandir}
for i in */%{_target}-redhat-linux-*; do
        [ -f $i ] && mv $i `echo $i |sed -e "s,/%{_target}-redhat-linux-,/,"`
done
popd



The binaries are installed normally and all lived happily ever after...

Comment 1 Christopher McCrory 2004-01-11 21:24:36 UTC
This got fixed somewhere along the line

( you still need ImageMagick installed to compile Imagemagick though :(





Note You need to log in before you can comment on or make changes to this bug.